<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>QActivityPub: QActivityPub Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">QActivityPub
   </div>
   <div id="projectbrief">An ActivityPub client library for Qt</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classQActivityPub-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">QActivityPub Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for QActivityPub:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classQActivityPub.png" usemap="#QActivityPub_map" alt=""/>
  <map id="QActivityPub_map" name="QActivityPub_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a76985ed5da61012eb56a162e15b03c58"><td class="memItemLeft" align="right" valign="top"><a id="a76985ed5da61012eb56a162e15b03c58"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onRequestFinished</b> (QNetworkReply *reply)</td></tr>
<tr class="separator:a76985ed5da61012eb56a162e15b03c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a488683594aed5afb16753a1ca87a64c1"><td class="memItemLeft" align="right" valign="top"><a id="a488683594aed5afb16753a1ca87a64c1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a488683594aed5afb16753a1ca87a64c1">userIdChanged</a> (QString newUserId)</td></tr>
<tr class="memdesc:a488683594aed5afb16753a1ca87a64c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Emitted when a new user ID is set, usually at startup. <br /></td></tr>
<tr class="separator:a488683594aed5afb16753a1ca87a64c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a049b22270a6766e746143b4383cd1c07"><td class="memItemLeft" align="right" valign="top"><a id="a049b22270a6766e746143b4383cd1c07"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a049b22270a6766e746143b4383cd1c07">profileReceived</a> ()</td></tr>
<tr class="memdesc:a049b22270a6766e746143b4383cd1c07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Emitted when the user's profile is received. <br /></td></tr>
<tr class="separator:a049b22270a6766e746143b4383cd1c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f027224000e19ac7fd32ca6309a0f6"><td class="memItemLeft" align="right" valign="top"><a id="a89f027224000e19ac7fd32ca6309a0f6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a89f027224000e19ac7fd32ca6309a0f6">feedReceived</a> (QString id)</td></tr>
<tr class="memdesc:a89f027224000e19ac7fd32ca6309a0f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Emitted when a feed is received. <br /></td></tr>
<tr class="separator:a89f027224000e19ac7fd32ca6309a0f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a512007d7e95429fbe10410a75ffca1d6"><td class="memItemLeft" align="right" valign="top"><a id="a512007d7e95429fbe10410a75ffca1d6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>QActivityPub</b> (QObject *parent)</td></tr>
<tr class="separator:a512007d7e95429fbe10410a75ffca1d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c2625a29bd55d277d7b2b694345e3b3"><td class="memItemLeft" align="right" valign="top"><a id="a6c2625a29bd55d277d7b2b694345e3b3"></a>
const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a6c2625a29bd55d277d7b2b694345e3b3">getVersion</a> ()</td></tr>
<tr class="memdesc:a6c2625a29bd55d277d7b2b694345e3b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get library version string. <br /></td></tr>
<tr class="separator:a6c2625a29bd55d277d7b2b694345e3b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2262b1015cfb20742ef85148b08ab25"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#ad2262b1015cfb20742ef85148b08ab25">setUserAgentString</a> (QByteArray ua)</td></tr>
<tr class="memdesc:ad2262b1015cfb20742ef85148b08ab25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the User Agent string to be used in server requests (optional)  <a href="#ad2262b1015cfb20742ef85148b08ab25">More...</a><br /></td></tr>
<tr class="separator:ad2262b1015cfb20742ef85148b08ab25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b26347f83f6804959dc6964586a09b7"><td class="memItemLeft" align="right" valign="top"><a id="a1b26347f83f6804959dc6964586a09b7"></a>
QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a1b26347f83f6804959dc6964586a09b7">getUserId</a> ()</td></tr>
<tr class="memdesc:a1b26347f83f6804959dc6964586a09b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gives current user ID. <br /></td></tr>
<tr class="separator:a1b26347f83f6804959dc6964586a09b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9793be6b79d2ac6cbbc25384919c5843"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a9793be6b79d2ac6cbbc25384919c5843">setUserId</a> (QString newUserId)</td></tr>
<tr class="memdesc:a9793be6b79d2ac6cbbc25384919c5843"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the user ID to be used.  <a href="#a9793be6b79d2ac6cbbc25384919c5843">More...</a><br /></td></tr>
<tr class="separator:a9793be6b79d2ac6cbbc25384919c5843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db02bff82eb60cce279ac787f26dd17"><td class="memItemLeft" align="right" valign="top"><a id="a5db02bff82eb60cce279ac787f26dd17"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a5db02bff82eb60cce279ac787f26dd17">requestProfile</a> ()</td></tr>
<tr class="memdesc:a5db02bff82eb60cce279ac787f26dd17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ask server for our user profile information. <br /></td></tr>
<tr class="separator:a5db02bff82eb60cce279ac787f26dd17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a922faf874e3d1d4a485113e0427be653"><td class="memItemLeft" align="right" valign="top"><a id="a922faf874e3d1d4a485113e0427be653"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classQActivityPub.html#a922faf874e3d1d4a485113e0427be653">requestFeed</a> (QString id)</td></tr>
<tr class="memdesc:a922faf874e3d1d4a485113e0427be653"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ask server for a specific feed, like inbox or outbox. <br /></td></tr>
<tr class="separator:a922faf874e3d1d4a485113e0427be653"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad2262b1015cfb20742ef85148b08ab25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2262b1015cfb20742ef85148b08ab25">&#9670;&nbsp;</a></span>setUserAgentString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QActivityPub::setUserAgentString </td>
          <td>(</td>
          <td class="paramtype">QByteArray&#160;</td>
          <td class="paramname"><em>ua</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the User Agent string to be used in server requests (optional) </p>
<p>If this is not called, "QActivityPub/$VERSION" will be used </p>

</div>
</div>
<a id="a9793be6b79d2ac6cbbc25384919c5843"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9793be6b79d2ac6cbbc25384919c5843">&#9670;&nbsp;</a></span>setUserId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QActivityPub::setUserId </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>newUserId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the user ID to be used. </p>
<p>You need to call this method at startup or after your program asks the user to enter their address for the first time</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">newUserId</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="qactivitypub_8h_source.html">qactivitypub.h</a></li>
<li>src/qactivitypub.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
